Bug 438806 - Review Request: php-pear-HTTP-Header - OO interface to modify and handle HTTP headers and status codes
Review Request: php-pear-HTTP-Header - OO interface to modify and handle HTTP...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: php-pear-HTTP-Downl
  Show dependency treegraph
 
Reported: 2008-03-25 08:50 EDT by David Hollis
Modified: 2009-08-03 18:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-01 03:22:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Hollis 2008-03-25 08:50:58 EDT
Spec URL: http://web.davehollis.com:81/packages/php-pear-HTTP-Header.spec
SRPM URL: http://web.davehollis.com:81/packages/php-pear-HTTP-Header-1.2.0-1.fc8.src.rpm
Description: OO interface to modify and handle HTTP headers and status codes
Comment 1 Remi Collet 2008-03-29 06:10:51 EDT
I can't do a formal review as i'm not a sponsor.

Should fix the %file :
%{pear_phpdir}/HTTP
%{pear_testdir}/HTTP_Header

Note HTTP dir is not owned by php-pear-HTTP, so you need to own it.

Should requires only php-common to avoid pulling "apache" in dependencies.
Or simply remove php >= 4.2.0 which is very old.
Comment 3 Jason Tibbitts 2008-06-27 14:37:54 EDT
Actually, Remi is a sponsor now although I really thought someone else was going
to sponsor David.
Comment 4 Christopher Stone 2008-06-27 18:27:10 EDT
I am in the process of sponsoring David with bug #438804
Comment 5 Jason Tibbitts 2008-08-11 08:09:36 EDT
It's been another six weeks; has anything happened regarding sponsorship?
Comment 6 David Hollis 2008-08-14 07:15:03 EDT
Just waiting on sponsorship, or if someone wants to take this package under their wing, that's fine by me.
Comment 7 Remi Collet 2008-08-16 05:36:53 EDT
* source files match upstream:
68e0a84fb3aca46e6e0a6ccfe25c2d6b  HTTP_Header-1.2.0.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license (BSD)
* license is open source-compatible.
* latest version is being packaged (1.2.0)
* %clean is present.
* package builds in mock (development).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
php-pear(HTTP_Header) = 1.2.0
php-pear-HTTP-Header = 1.2.0-2.fc8
* %check is not present; test suite cannot run in rpmbuild
* owns the directories it creates (HTTP already owned but by non-dependant rpm)
* doesn't own any directories it shouldn't.
* file permissions are appropriate.
* scriptlets are OK (pear install)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Please remove the TODO comment as file list is ok.

Remove php-common from Requires as already required by pear (only need if you want to set a minimal version, which is not the case)

This 2 lines are redundant.
%dir %{pear_phpdir}/HTTP
%{pear_phpdir}/HTTP

Missing BR on dos2unix, so doesn't build in mock.
Add it or switch to sed.
Comment 8 Remi Collet 2009-01-02 13:10:20 EST
ping ??
Comment 9 Remi Collet 2009-03-01 03:22:39 EST
No reponse, I close this bug to allow anynody else to submit this package again.

Note You need to log in before you can comment on or make changes to this bug.